djvulibre (3.5.28-3) UNRELEASED; urgency=medium

  * Most patches merged upstream
  * Multiarch hinter suggests marking djvulibre-desktop as Multi-Arch: foreign
  * Bump policy version

 -- Barak A. Pearlmutter <bap@debian.org>  Thu, 02 Sep 2021 14:17:07 +0100

djvulibre (3.5.28-2) unstable; urgency=high

  * bump policy version
  * Include Fedora 3.5.27 patches, foward ported, taken from djvulibre.spec in
    https://src.fedoraproject.org/rpms/djvulibre.git
    - Patch0: djvulibre-3.5.22-cdefs.patch                    (forward ported)
    - #Patch1: djvulibre-3.5.25.3-cflags.patch              (disabled in Fedora)
    - Patch2: djvulibre-3.5.27-buffer-overflow.patch        (UPSTREAMED)
    - Patch3: djvulibre-3.5.27-infinite-loop.patch          (UPSTREAMED)
    - Patch4: djvulibre-3.5.27-stack-overflow.patch         (UPSTREAMED)
    - Patch5: djvulibre-3.5.27-zero-bytes-check.patch       (UPSTREAMED)
    - Patch6: djvulibre-3.5.27-export-file.patch              (forward ported)
    - Patch7: djvulibre-3.5.27-null-dereference.patch       (UPSTREAMED)
    - Patch8: djvulibre-3.5.27-check-image-size.patch         (forward ported)
    - Patch9: djvulibre-3.5.27-integer-overflow.patch         (forward ported)
    - Patch10: djvulibre-3.5.27-check-input-pool.patch        (forward ported)
    - Patch11: djvulibre-3.5.27-djvuport-stack-overflow.patch (forward ported)
    - Patch12: djvulibre-3.5.27-unsigned-short-overflow.patch (forward ported)
    These address a number of crashes and security issues, including
    CVE-2021-3500 (closes: #988215)

 -- Barak A. Pearlmutter <bap@debian.org>  Mon, 10 May 2021 18:56:59 +0100

djvulibre (3.5.28-1) unstable; urgency=medium

  [ Leon Bottou ]
  * version number change

  [ Barak A. Pearlmutter ]
  * rules does not require root
  * version-4 debian/watch uscan support file

 -- Barak A. Pearlmutter <bap@debian.org>  Mon, 23 Nov 2020 13:10:15 +0000

djvulibre (3.5.27.1-15) unstable; urgency=medium

  * bump to debhelper 13
  * bump policy version
  * track upstream including libtiff bug fix (closes: #962779)

 -- Barak A. Pearlmutter <bap@debian.org>  Wed, 22 Jul 2020 15:18:20 +0100

djvulibre (3.5.27.1-14) unstable; urgency=medium

  * Merge upstream fix for CVE-2019-18804 (closes: #945114)
  * bump policy

 -- Barak A. Pearlmutter <bap@debian.org>  Thu, 21 Nov 2019 15:30:21 +0000

djvulibre (3.5.27.1-13) unstable; urgency=medium

  * track upstream bug fixes
  * Run lintian-brush:
    - Add missing colon in closes line.
    - Set upstream metadata fields: Archive.

 -- Barak A. Pearlmutter <bap@debian.org>  Wed, 11 Sep 2019 14:12:18 +0100

djvulibre (3.5.27.1-12) unstable; urgency=medium

  * track upstream bug fixes and such
  * bump policy

 -- Barak A. Pearlmutter <bap@debian.org>  Sat, 10 Aug 2019 13:48:53 +0200

djvulibre (3.5.27.1-11) unstable; urgency=medium

  * track upstream bug fixes
  * bump policy and debhelper versions
  * declare djvulibre-bin multi-arch_foreign (closes: #930064)

 -- Barak A. Pearlmutter <bap@debian.org>  Thu, 06 Jun 2019 13:54:10 +0100

djvulibre (3.5.27.1-10) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/watch: Use https protocol

  [ Barak A. Pearlmutter ]
  * track upstream updates
  * bump policy, no changes required

 -- Barak A. Pearlmutter <bap@debian.org>  Fri, 02 Nov 2018 14:51:55 +0000

djvulibre (3.5.27.1-9) unstable; urgency=medium

  * bump to debhelper 11
  * bump policy, no changes required
  * stop including mimetype xml file in desktop package, and rename icons.
    For details see https://sourceforge.net/p/djvu/bugs/283/
  * adjust to upstream renaming of documentation

 -- Barak A. Pearlmutter <bap@debian.org>  Mon, 30 Apr 2018 17:13:35 +0100

djvulibre (3.5.27.1-8) unstable; urgency=medium

  * track upstream updates
  * bump policy, no changes required
  * use dh10 defaults in debian/rules
  * remove now-autogenerated debian/control -dbg stanza
  * secure repo url

 -- Barak A. Pearlmutter <bap@debian.org>  Mon, 09 Oct 2017 13:59:39 +0100

djvulibre (3.5.27.1-7) unstable; urgency=medium

  * bump to debhelper 10
  * update any2djvu server URL in any2djvu script (closes: #843009)

 -- Barak A. Pearlmutter <bap@debian.org>  Thu, 03 Nov 2016 11:03:32 +0000

djvulibre (3.5.27.1-6) unstable; urgency=medium

  * track upstream fixes and updates, including to djvudigital
  * bump standards version
  * enable hardening

 -- Barak A. Pearlmutter <bap@debian.org>  Wed, 17 Aug 2016 22:35:47 +0200

djvulibre (3.5.27.1-5) unstable; urgency=medium

  * guard find command in debian/rules (closes: 806017)
  * merge upstream update which works around qt5 issue (closes: 804888)

 -- Barak A. Pearlmutter <bap@debian.org>  Tue, 24 Nov 2015 15:58:16 +0000

djvulibre (3.5.27.1-4) unstable; urgency=medium

  * merge minor upstream maintenance updates

 -- Barak A. Pearlmutter <bap@debian.org>  Wed, 28 Oct 2015 14:16:13 +0000

djvulibre (3.5.27.1-3) unstable; urgency=medium

  * use mktemp in shell script if available (closes: #775193)

 -- Barak A. Pearlmutter <bap@debian.org>  Sun, 16 Aug 2015 14:03:10 +0200

djvulibre (3.5.27.1-2) unstable; urgency=medium

  * merge upstream fix for string issue (closes: #784785)
  * merge upstream signed/unsigned fix (closes: #784919)
  * use gzip -n option for reproducible build (closes: #790371)

 -- Barak A. Pearlmutter <bap@debian.org>  Tue, 30 Jun 2015 09:18:13 +0300

djvulibre (3.5.27.1-1) unstable; urgency=medium

  * freeze is over, can target to unstable once more
  * new upstream release
    - has max image size check (closes: #781255)
  * merge minor upstream patch to djvumake
  * use mktemp in djvudigital (closes: #775193)

 -- Barak A. Pearlmutter <bap@debian.org>  Tue, 05 May 2015 09:24:00 +0100

djvulibre (3.5.27-0pre1) experimental; urgency=medium

  [ Leon Bottou ]
  * Prepare rev 3.5.27

  [ Barak A. Pearlmutter ]
  * upstream fixes for
    - GC multithreading deadlock (closes: #775857)
    - invalid input JPEG (closes: #777404)
  * ack migration of packaging functionality to upstream build system
  * prep for experimental release

 -- Barak A. Pearlmutter <bap@debian.org>  Thu, 12 Feb 2015 22:19:07 +0000

djvulibre (3.5.26-1) experimental; urgency=medium

  * upstream reworked build system, uses automake and pkg-config
  * move debian vs upstream library version check into dh_testdir
  * add --list-missing option to dh_install
  * update upstream git URL
  * new upstream release
  * merge upstream patches
    - afdbb99 acquire global lock while destroying gctls_t

 -- Barak A. Pearlmutter <bap@debian.org>  Tue, 06 Jan 2015 05:57:36 -0500

djvulibre (3.5.25.4-4) unstable; urgency=medium

  * merge upstream patches
   - f794f2d meta-data --> metadata.
   - 6262fcc Update config/libtool.m4 to support ppc64le.
   - 9e32594 Regenerate autotools files with new config/libtool.m4
   - 4e62915 Fix to djvutoxml by "Imperatore" (bug 227)
   - 93a13dd csepdjvu handles utf16 outlines

 -- Barak A. Pearlmutter <bap@debian.org>  Thu, 20 Mar 2014 14:23:32 +0000

djvulibre (3.5.25.4-3) unstable; urgency=low

  * remove build alts libtiff{5,4,3}-dev (closes: #735997)
  * bump standards version

 -- Barak A. Pearlmutter <bap@debian.org>  Tue, 21 Jan 2014 15:27:16 +0000

djvulibre (3.5.25.4-2) unstable; urgency=low

  * merge upstream patches, including autotools refresh (closes: #722525)

 -- Barak A. Pearlmutter <bap@debian.org>  Thu, 12 Sep 2013 09:40:49 +0100

djvulibre (3.5.25.4-1) unstable; urgency=low

  * new upstream release
  * merge upstream changes for crash report, see
    http://lists.debian.org/debian-devel/2013/06/msg00720.html
    http://www.forallsecure.com/bug-reports/df37d30856756929f929ec8e508af1a574109c0d/
  * flush dh-exec overkill
  * enable full multiarch support
  * bump standard version
  * canonicalize development repo urls

 -- Barak A. Pearlmutter <bap@debian.org>  Thu, 27 Jun 2013 16:23:00 +0100

djvulibre (3.5.25.3-3) unstable; urgency=low

  * multiarch fix via dh-exec lossage
  * merge upstream fixes

 -- Barak A. Pearlmutter <bap@debian.org>  Mon, 12 Nov 2012 11:06:39 +0000

djvulibre (3.5.25.3-2) unstable; urgency=low

  * remove more X11-related build dependencies
  * prefer libtiff5-dev (closes: #681914)

 -- Barak A. Pearlmutter <bap@debian.org>  Tue, 17 Jul 2012 23:23:27 +0200

djvulibre (3.5.25.3-1) unstable; urgency=low

  * new upstream release
  * remove X11-related build dependencies
  * keep debugging symbols

 -- Barak A. Pearlmutter <bap@debian.org>  Sun, 17 Jun 2012 20:37:22 +0100

djvulibre (3.5.25.2-4) unstable; urgency=low

  * generalize pre-dependency
  * remove unused override from debian/rules (closes: #664292)
  * lower djvudigital default resolution from 600 to 300 dpi (closes: #507539)

 -- Barak A. Pearlmutter <bap@debian.org>  Sun, 08 Apr 2012 23:45:27 +0100

djvulibre (3.5.25.2-3) unstable; urgency=low

  * rsvg-convert not completely plug-compatible replacement (closes: #666475)

 -- Barak A. Pearlmutter <bap@debian.org>  Sat, 07 Apr 2012 09:10:35 +0100

djvulibre (3.5.25.2-2) unstable; urgency=low

  * switch deprecated rsvg to plug-compatible rsvg-convert (closes: #666475)

 -- Barak A. Pearlmutter <bap@debian.org>  Sat, 31 Mar 2012 21:51:15 +0100

djvulibre (3.5.25.2-1) unstable; urgency=low

  [ Leon Bottou ]
  * new upstream version

  [ Barak A. Pearlmutter ]
  * upstream fix for diezechar issue (closes: #664280)
  * upstream fix for minilisp I/O problem (closes: #664442)
  * include upstream patch completing man page djvused(1) (closes: #551517)
  * allow dh_install to work on non-multiarch build

 -- Barak A. Pearlmutter <bap@debian.org>  Sun, 18 Mar 2012 23:09:59 +0000

djvulibre (3.5.25-1) unstable; urgency=low

  [ Leon Bottou ]
  * new upstream version

  [ Barak A. Pearlmutter ]
  * bump debian standards version
  * bump to dh 9
  * add Leon Bottou as co-maintainer
  * updates for multiarch
    - update debian/*.install for multiarch: /usr/lib/ to /usr/lib/ARCH/
    - ibid for pkgconfig
    - debian/control shared library Pre-Depends: multiarch-support
  * use NEWS file as upstream changelog
  * minor lintian-suggested tweaks to debian/control
  * merge minor upstream changes

 -- Barak A. Pearlmutter <bap@debian.org>  Fri, 16 Mar 2012 16:54:05 +0000

djvulibre (3.5.24-9) unstable; urgency=low

  * single debian patch source option (closes: #643094)

 -- Barak A. Pearlmutter <bap@debian.org>  Wed, 28 Sep 2011 16:57:18 +0100

djvulibre (3.5.24-8) unstable; urgency=low

  * ddjvu_anno_get_xmp consistent prototype vs implementation (closes: #613547)

 -- Barak A. Pearlmutter <bap@debian.org>  Wed, 22 Jun 2011 11:48:22 +0100

djvulibre (3.5.24-7) unstable; urgency=low

  * upstream fix to page extraction bug (closes: #629941)

 -- Barak A. Pearlmutter <bap@debian.org>  Thu, 09 Jun 2011 23:06:30 +0100

djvulibre (3.5.24-6) unstable; urgency=low

  * upstream GCC 4.6 fixes
  * upstream MMX fix addresses 32-bit MMX issue (closes: #629235)

 -- Barak A. Pearlmutter <bap@debian.org>  Sun, 05 Jun 2011 08:08:01 +0100

djvulibre (3.5.24-5) unstable; urgency=low

  * fix kbsd pthreads linkage more gently

 -- Barak A. Pearlmutter <bap@debian.org>  Thu, 02 Jun 2011 12:32:53 +0100

djvulibre (3.5.24-4) unstable; urgency=low

  * merge upstream kbsd pthreads linkage mod (closes: #628800)

 -- Barak A. Pearlmutter <bap@debian.org>  Wed, 01 Jun 2011 15:21:23 +0100

djvulibre (3.5.24-3) unstable; urgency=low

  * merge upstream change with promiscuous inclusions (closes: #625073)

 -- Barak A. Pearlmutter <bap@debian.org>  Thu, 05 May 2011 08:04:13 +0100

djvulibre (3.5.24-2) unstable; urgency=low

  * do not include .la files per new policy (closes: #621306)

 -- Barak A. Pearlmutter <bap@debian.org>  Wed, 20 Apr 2011 15:34:38 +0100

djvulibre (3.5.24-1) unstable; urgency=low

  * New upstream version

 -- Barak A. Pearlmutter <bap@debian.org>  Mon, 07 Mar 2011 10:17:06 +0000

djvulibre (3.5.23-6) unstable; urgency=low

  * tiny patch to libdjvu/miniexp.cpp from  Jacob Wilk (closes: #613549)

 -- Barak A. Pearlmutter <bap@debian.org>  Wed, 02 Mar 2011 08:47:43 +0000

djvulibre (3.5.23-5) unstable; urgency=low

  * changes to debian/rules
    - honor DEB_BUILD_OPTIONS=noopt (closes: #613521) and debug
    - remove unused/inappropriate/old variables
    - let upstream ./configure choose optimisation flags; remove all special
      cases for particular broken versions of GCC on particular architectures
    - use dh_auto_make instead of invoking $(MAKE) directly
    - no need for "chmod +x ..." since git maintains that bit
    - remove "INSTALL_PROGRAM = $(INSTALL) --strip", as dh handles it
  * djvulibre-bin depends: same version of libdjvulibre21 (closes: #613530)

 -- Barak A. Pearlmutter <bap@debian.org>  Wed, 16 Feb 2011 13:37:56 +0000

djvulibre (3.5.23-4) unstable; urgency=low

  * bump to debhelper 8
  * flush djview3, generate djview4 transition package (closes: #604347)
  * flush djvulibre-plugin, to be generated by djview4
  * dh --parallel
  * include phrase "dummy" in package descriptions to silence lintian
  * dpkg source format 3.0 (quilt)
  * upstream has switched to git (debian/README.Debian, debian/copyright)

 -- Barak A. Pearlmutter <bap@debian.org>  Sat, 12 Feb 2011 13:26:14 +0000

djvulibre (3.5.23-3) unstable; urgency=low

  * revert switch to dpkg-source 3.0 (quilt) format

 -- Barak A. Pearlmutter <bap@debian.org>  Sun, 12 Sep 2010 00:29:16 +0100

djvulibre (3.5.23-2) unstable; urgency=low

  * make any2djvu script not fail to notice assent (closes: #515310)
  * upstream changes fix many bugs
    - djvumake no longer fails with these tiny images (closes: #539272)
    - locale set internally as appropriate, e.g., PDF output (closes: #562156)
      also fixes https://bugs.launchpad.net/ubuntu/+source/djvulibre/+bug/499324
    - thread-related crash addressed, slightly post 3.5.23 (closes: #582961)

 -- Barak A. Pearlmutter <bap@debian.org>  Tue, 07 Sep 2010 17:47:42 +0100

djvulibre (3.5.23-1) unstable; urgency=low

  * new upstream release
  * bump policy (debian/control)
  * Ubuntu patch from Benjamin Drung (closes: #592964)
    - use autotools-dev to update config.* files to unclutter debdiffs
    - change recommendation from mozilla-firefox to firefox
  * modernise debian/rules with dh7 overrides, also thanks to Benjamin Drung
  * switch to dpkg-source 3.0 (quilt) format

 -- Barak A. Pearlmutter <bap@debian.org>  Tue, 17 Aug 2010 13:35:37 +0200

djvulibre (3.5.22-9) unstable; urgency=low

  * fix typo in debian/copyright
  * include upstream changes including nsdejavu XtShellStrings fix

 -- Barak A. Pearlmutter <bap@debian.org>  Mon, 15 Mar 2010 16:56:46 +0000

djvulibre (3.5.22-8) unstable; urgency=low

  * upstream patch escapes fields in djvused output-* (closes: #564684)
  * ditch libjpeg62-dev dependencies in favour of libjpeg-dev (closes: #569233)
  * rev deb policy

 -- Barak A. Pearlmutter <bap@debian.org>  Wed, 10 Feb 2010 23:47:32 +0000

djvulibre (3.5.22-7) unstable; urgency=low

  * patch typos (closes: #551398)
  * man page install (closes: #561350), note dh_installman would botch i18n

 -- Barak A. Pearlmutter <bap@debian.org>  Wed, 16 Dec 2009 14:02:49 -0500

djvulibre (3.5.22-6) unstable; urgency=low

  * patch for typos, thanks Jakub Wilk <ubanus@users.sf.net> (closes: #551109)

 -- Barak A. Pearlmutter <bap@debian.org>  Sat, 17 Oct 2009 18:16:19 +0100

djvulibre (3.5.22-5) unstable; urgency=low

  * dh ${misc:Depends} for straggler binary packages
  * sh4 patch from Nobuhiro Iwamatsu <iwamatsu@nigauri.org> (closes: #550172)

 -- Barak A. Pearlmutter <bap@debian.org>  Thu, 08 Oct 2009 13:56:34 +0100

djvulibre (3.5.22-4) unstable; urgency=low

  * Clean lintian issues:
    - rev deb std
    - cease ignoring errors in installation scripts
    - debug package into section: debug
    - dh ${misc:Depends} for all packages

 -- Barak A. Pearlmutter <bap@debian.org>  Fri, 25 Sep 2009 22:43:51 -0400

djvulibre (3.5.22-3) unstable; urgency=low

  * Compensate for change in dh_install {,} handling (closes: #538394)

 -- Barak A. Pearlmutter <bap@debian.org>  Fri, 31 Jul 2009 15:02:11 +0100

djvulibre (3.5.22-2) unstable; urgency=low

  * Invoke Elder Gods Horror to skirt libtool issue (closes: #512252), see
    debian/rules "Cthulhu"

 -- Barak A. Pearlmutter <bap@debian.org>  Tue, 21 Jul 2009 13:09:57 +0200

djvulibre (3.5.22-1) unstable; urgency=low

  [ Leon Bottou ]
  * Upstream release candidate

  [ Barak A. Pearlmutter ]

 -- Barak A. Pearlmutter <bap@debian.org>  Tue, 23 Jun 2009 22:53:13 +0200

djvulibre (3.5.21-3) unstable; urgency=low

  * Upstream browser plugin fix to gui/nsdejavu/nsdejavu.c (closes: #504340)
  * Upstream fix for djvups -text=yes non-ASCII crash (closes: #469122)

 -- Barak A. Pearlmutter <bap@debian.org>  Wed, 10 Dec 2008 21:32:00 +0000

djvulibre (3.5.21-2) unstable; urgency=low

  * Remove bashism ...{.,*}... from debian/rules (closes: #505644)
  * Put djvulibre-dbg in section libdevel (closes: #498456)
  * Formatting patch for c44.1 from Ubuntu (closes: #505643)
  * Don't integrate 3.5.20-8+lenny0 (do no reopen #495979, #507503)

 -- Barak A. Pearlmutter <bap@debian.org>  Fri, 14 Nov 2008 10:34:44 +0000

djvulibre (3.5.21-1) unstable; urgency=medium

  * Upstream release
  * Remove path from command-with-path in djview3.prerm
  * Partially dh7-ianize
  * Include bin/djvudigital, useful if gsdjvu installed (closes: #495979)
  * Include /usr/lib/libdjvulibre.a in libdjvulibre-dev
  * Build depend on imagemagick and include upstream change to regenerate
    icon files from SVG sources during build process

 -- Barak A. Pearlmutter <bap@debian.org>  Sun, 07 Sep 2008 15:21:53 +0100

djvulibre (3.5.20-11) unstable; urgency=low

  * Upstream mods for man and GCC 4.x warnings
  * Conflict with old library to avoid (closes: #472503)
  * Tiny HURD MAXPATHLEN patch from Samuel Thibault (closes: #487342)
  * Existence update-alternative existence check from installation scripts
  * Integrate 3.5.20-10.1 NMU by Philipp Kern (thanks!) with Conflicts:
    changed to Replaces: where appropriate
  * Rev to dh 7

 -- Barak A. Pearlmutter <bap@debian.org>  Tue, 19 Aug 2008 16:07:05 +0100

djvulibre (3.5.20-10.1) unstable; urgency=medium

  * Non-maintainer upload.
  * libdjvulibre-text: add a conflicts against libdjvulibre15 to fix
    upgrades from Etch (Closes: #494303)

 -- Philipp Kern <pkern@debian.org>  Thu, 14 Aug 2008 11:30:37 -0300

djvulibre (3.5.20-10) unstable; urgency=low

  * Put djview3 support files in djview3 package, leaving only generic
    library support files in libdjvulibre-text (closes: #493854)
  * Include more upstream translated text
  * Flush a bunch of minor compiler warnings

 -- Barak A. Pearlmutter <bap@debian.org>  Tue, 05 Aug 2008 17:23:17 +0100

djvulibre (3.5.20-9) unstable; urgency=low

  * Add djvulibre-dbg package with debug symbols (closes: #493351)
    thanks to Pino Toscano <pino@kde.org> for the patch
  * Provide virtual package djvu-viewer (closes: #491012)
  * Flush update-alternatives from djview scripts (closes: #491123)
  * Minor updates to debian packaging info
  * Split libdjvulibre-text out of djvulibre-desktop, so
    (a) libdjvulibreXX can depend on just -text not -desktop, and
    (b) libdjvulibreXX for various XX>=21 can coexist
    (closes: #472347, #474702, #474993, #475630)

 -- Barak A. Pearlmutter <bap@debian.org>  Mon, 04 Aug 2008 14:16:12 +0100

djvulibre (3.5.20-8) unstable; urgency=low

  * Raise djvudigital default resolution from 300 to 600 (closes: #478607)
  * Have lib suggest rather than recommend reader (closes: #476682)
  * Utilities package now recommends pdf2djvu package, coming soon
  * Fix update-alternatives in installation scripts (closes: #476444)
  * Rev deb policy

 -- Barak A. Pearlmutter <bap@debian.org>  Fri, 02 May 2008 01:12:15 -0700

djvulibre (3.5.20-7) unstable; urgency=low

  * Generate djview transition package (closes: #473341)
  * Postscript generation issue (four-color image into cpaldjvu into
    djvups without -mode=bw) seems to be resolved (closes: #278945)
  * Remove djvudigital from djvulibre-bin (closes: #461226)
  * Rewrite desktop package description (closes: #474689, #474700)

 -- Barak A. Pearlmutter <bap@debian.org>  Mon, 07 Apr 2008 09:58:58 -0700

djvulibre (3.5.20-6) unstable; urgency=low

  * split djvulibre-desktop out of shared library proper
  * desktop xdg-utils dependency out of shared library proper (closes: #472347)
  * library version coexistence (closes: #471650, #471915, #472097, #472265, #472503)
  * rename package djview to djview3
  * include some upstream change logs and such in djvulibre-bin (closes: #455607)

 -- Barak A. Pearlmutter <bap@debian.org>  Tue, 25 Mar 2008 08:56:12 +0000

djvulibre (3.5.20-5) unstable; urgency=low

  * Upstream fix (closes: #471149)
  * Upstream fix for __sync_... build error in libdjvu/atomic.cpp on
    sparc, mips, arm, hppa, mipsel, armel.

 -- Barak A. Pearlmutter <bap@debian.org>  Mon, 17 Mar 2008 09:28:38 +0000

djvulibre (3.5.20-4) unstable; urgency=low

  * Upstream fix: locking issues on dual-core machines (as of 3.5.20-2)
  * Avoid writing mime type conflicting with default freedesktop mime database
  * Upstream fix for info fetch (closes: #463691)
  * Upstream fix for document saving (closes: #467282)

 -- Barak A. Pearlmutter <bap@debian.org>  Fri, 14 Mar 2008 11:13:59 +0000

djvulibre (3.5.20-3) unstable; urgency=low

  * As in djview4, disable stripping of binaries by Makefile.in unless
    INSTALL_PROGRAM="install -s" is used (closes: #436788)
  * upstream fix for djvused(1) type (closes: #458241)
  * upstream fix for djvused set-outline indirect bug (closes: #458086)
  * upstream fix for c44 small file encoding bug (closes: #455331)
  * patch (via upstream) for csepdjvu subsample ratio bug (closes: #458211)

 -- Barak A. Pearlmutter <bap@debian.org>  Wed, 30 Jan 2008 11:56:45 +0000

djvulibre (3.5.20-2) unstable; urgency=low

  * Fix innocuous double-build cleaning issue (closes: #424180, #442552)

 -- Barak A. Pearlmutter <bap@debian.org>  Thu,  6 Dec 2007 17:21:06 +0000

djvulibre (3.5.20-1) unstable; urgency=low

  * New upstream release
  * Integrate dh_icons ubuntu-patch (closes: #452109)
  * Add vcs-cvs and homepage fields to debian/control
  * Policy 3.7.3
  * Upstream fix for filename-with-colon crash (closes: #452947)

 -- Barak A. Pearlmutter <bap@debian.org>  Thu,  6 Dec 2007 14:30:14 +0000

djvulibre (3.5.19-3) unstable; urgency=low

  * Make any2djvu script handle filenames with spaces correctly (closes: #435355)
  * Print enormous security warning when any2djvu script is used (closes: #435356)
  * Plugin recommended brower list now includes iceweasel (closes: #427161)

 -- Barak A. Pearlmutter <bap@debian.org>  Fri, 10 Aug 2007 09:06:13 +0100

djvulibre (3.5.19-2) unstable; urgency=low

  * License clarification of mozilla plugin code.
  * Fix upgrade issue by making plugin package conflict with older
    binaries package (closes: #419666)

 -- Barak A. Pearlmutter <bap@debian.org>  Tue, 24 Apr 2007 09:36:48 +0100

djvulibre (3.5.19-1) unstable; urgency=low

  * Track upstream changes (closes: #412316)
  * Move stuff in /usr/share/djvu/.
  * Cleanup desktop menu and mimetype files.
  * Manually install mime types, icons, and menu entries.
  * Renaming program djview to djview3, register with update-alternatives.
  * Debian standards rev.
  * License change (GPL either v2 or any later version).

 -- Barak A. Pearlmutter <bap@debian.org>  Sun, 25 Mar 2007 22:46:43 +0000

djvulibre (3.5.17-3) unstable; urgency=medium

  * Generate non-eroneous, and reasonably loose, shlibs (closes: #389382)
  * Use very tight version dependencies between generated packages

 -- Barak A. Pearlmutter <bap@debian.org>  Mon, 25 Sep 2006 22:27:09 +0100

djvulibre (3.5.17-2) unstable; urgency=medium

  * Include minor upstream mods
  * Raise debhelper dependency verion (closes: #374051)
  * Silence bashism detector with debian/rules SHELL=bash (closes: #374265)
  * Hotwire debian/rules to use -O0 on alpha (closes: #387291, #386032)
  * Tiny debian build simplifications/fixes, eg remove debian/shlibs.local
  * Use soul-rotting roff hyphenation manipulation commands to fix problem
    underlying "cannot adjust line" warning for long URL in
    xmltools/djvuxml.1.in thus curing the cause but not the symptom

 -- Barak A. Pearlmutter <bap@debian.org>  Thu, 21 Sep 2006 02:42:46 +0100

djvulibre (3.5.17-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * On alpha, build GString.cpp with -O0 to work around a bug in GCC 4.1/4.2.
    Fixes FTBFS. (Closes: #386032)

 -- Steinar H. Gunderson <sesse@debian.org>  Wed, 13 Sep 2006 14:24:52 +0200

djvulibre (3.5.17-1) unstable; urgency=low

  * New upstream release
  * Upstream GCC-4.1 fixes (closes: #358206)
  * Upstream "djvudigital --words" fix (closes: #364316)
  * Many NMUs merged earlier, still fixed (closes: #320582, #320621)
      (closes: #320656, #320794, #321244, #321406, #321509, #321652)
      (closes: #322600, #322882, #321107, #322773)

 -- Barak A. Pearlmutter <bap@debian.org>  Thu, 27 Apr 2006 18:11:37 -0400

djvulibre (3.5.16-2) unstable; urgency=low

  * update to newly broken debian X libraries ... broken apart, that is
  * have -dev package depend on lib and libjpeg62-dev (closes: #343720)
    (thanks to Sebastien Bacher <seb128@canonical.com> via Ubuntu)
  * page numbers 1-based in djvm -l, like -i/-d (closes: #340361)
  * don't include KDE desktop file x-djvu.desktop in lib (closes: #339638)

 -- Barak A. Pearlmutter <bap@debian.org>  Mon, 26 Dec 2005 19:42:43 +0000

djvulibre (3.5.16-1) unstable; urgency=low

  * New upstream release

 -- Barak A. Pearlmutter <bap@debian.org>  Mon, 14 Nov 2005 19:03:18 -0700

djvulibre (3.5.15-2) unstable; urgency=low

  * Unversioned conflict/replace libdjvulibre1
    (closes: #326414, #327190, #327836, #335363)

 -- Barak A. Pearlmutter <bap@debian.org>  Tue, 25 Oct 2005 00:15:50 +0100

djvulibre (3.5.15-1) unstable; urgency=low

  * New upstream release
  * Upstream man page clarification (closes: #323307, #323085)

 -- Barak A. Pearlmutter <bap@debian.org>  Mon, 22 Aug 2005 20:50:04 +0100

djvulibre (3.5.14-6.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Medium-urgency upload for RC bugfix.
  * The library soname has changed without changing the package name;
    reconcile the package name with the library name by changing
    libdjvulibre1 to libdjvulibre15 (closes: #320582).  This
    conveniently also addresses the C++ ABI change in the process.
  * Build-depend only on libqt3-mt-dev (>= 3:3.3.4-4) without any
    alternatives, for the C++ ABI transition; we don't want djview to be
    accidentally linked against libqt3 instead of libqt3-mt anyway, since
    that would give unpredictable results if any other libraries require
    threading.  With this rebuild, any possible issues caused by
    mismatched C++ ABIs are also resolved (closes: #322773).
  * Use -O2 optimization when building on m68k to work around bug
    #317475 in gcc-4.0, since this is the optimization level recommended
    by policy anyway (closes: #321107).
  * Re-libtoolize the package using the current Debian libtool, to
    support trimming unnecessary library dependencies.  This cuts the
    dependency tree of djview by better than 50%.

 -- Steve Langasek <vorlon@debian.org>  Sun, 14 Aug 2005 04:10:36 -0700

djvulibre (3.5.14-6) unstable; urgency=low

  * minor upstream updates, eg for GCC 4.0 (closes: #319436)
  * fix typos in cjb2.1 (closes: #311755), ddjvu.1 (closes: #311756),
    djvu.1 (closes: #311757), djvudigital.1 (closes: #311759),
    djvups.1 (closes: #311760), djvuxml.1.in (closes: #311763),
    nsdejavu.1.in (closes: #311765)

 -- Barak A. Pearlmutter <bap@debian.org>  Fri, 29 Jul 2005 11:35:30 +0100

djvulibre (3.5.14-5) unstable; urgency=low

  * libdjvulibre-dev needs to depend upon libdjvulibre1
  * fix #include <mdjvucfg.h> problem (closes: #306266)

 -- Barak A. Pearlmutter <bap@debian.org>  Mon, 25 Apr 2005 02:03:26 +0100

djvulibre (3.5.14-4) unstable; urgency=low

  * generate -dev package again, like pre 3.5.9-5 (closes: #305790)
  * strip down decriptions a little (closes: #164391)

 -- Barak A. Pearlmutter <bap@debian.org>  Sat, 23 Apr 2005 20:47:56 +0100

djvulibre (3.5.14-3) unstable; urgency=low

  * Incorporate Loic Minier <lool@dooz.org> documentation of plugin URL
    alignment options, (closes: #257384)
  * minor upstream updates

 -- Barak A. Pearlmutter <bap@debian.org>  Wed, 23 Feb 2005 00:14:55 +0000

djvulibre (3.5.14-2) unstable; urgency=low

  * versioned build dependency on debhelper (for debian pedants)
  * tighten version dependencies (closes: #278946)

 -- Barak A. Pearlmutter <bap@debian.org>  Mon,  1 Nov 2004 16:49:49 +0000

djvulibre (3.5.14-1) unstable; urgency=high

  * New upstream release, with no real changes from last upload
  * Account for name change firebird to firefox (closes: #267247)
  * disable sleazy debian/rules hack (see 3.5.13.pre14-5)

 -- Barak A. Pearlmutter <bap@debian.org>  Sat, 21 Aug 2004 06:19:01 -0600

djvulibre (3.5.13.pre14-5) unstable; urgency=medium

  * debnonmoduluarstupidity: rebuild with libtiff4 (closes: #262848)
  * resolve mime types image/x-djvu vs image/x.djvu vs image/vnd.djvu:
    handle all, serve image/vnd.djvu, request other germane packages to
    switch, document in djvu(1) and nsdejavu(1) (closes: #257020)
  * upstream CVS fix for djview "find text" bug (closes: #257662)
  * flush private CVS repository; share with upstream on djvu.sourceforge.net
  * sleazy debian/rules hack to avoid modified binary source file build issue

 -- Barak A. Pearlmutter <bap@debian.org>  Thu,  8 Jul 2004 23:12:34 +0100

djvulibre (3.5.13.pre14-4) unstable; urgency=low

  * thumbnails in djview no longer all black (closes: #251647)
  * add quotes to menu file more violently

 -- Barak A. Pearlmutter <bap@debian.org>  Fri, 11 Jun 2004 22:06:03 +0100

djvulibre (3.5.13.pre14-3) unstable; urgency=low

  * incorporate new upstream materials in appropriate packages
  * force installation of desktop stuff even when dirs are missing
  * add some quotes to menu file

 -- Barak A. Pearlmutter <bap@debian.org>  Tue, 18 May 2004 01:50:31 -0600

djvulibre (3.5.13.pre14-2) unstable; urgency=low

  * back out patch in djvuserve; upstream patch buggy
  * add any2djvu security warnings

 -- Barak A. Pearlmutter <bap@debian.org>  Sun, 16 May 2004 14:35:49 -0600

djvulibre (3.5.13.pre14-1) unstable; urgency=low

  * upstream release; see NEWS file for new features
  * any2djvu option -q for quiet, instead of older -s

 -- Barak A. Pearlmutter <bap@debian.org>  Sun, 16 May 2004 08:11:32 -0600

djvulibre (3.5.13-1) unstable; urgency=low

  * upstream release

 -- Barak A. Pearlmutter <bap@debian.org>  Sun, 25 Apr 2004 05:03:23 -0600

djvulibre (3.5.12-5) unstable; urgency=low

  * sleazy workaround in fprintdate (closes: #241017)

 -- Barak A. Pearlmutter <bap@debian.org>  Tue, 30 Mar 2004 16:05:44 +0100

djvulibre (3.5.12-4) unstable; urgency=low

  * add image/vnd.djvu as mime type handled by djview (closes: #234913)
  * rev config.{guess,sub}
  * upstream man page fix, rev djvused.1 to CVS 1.9 (closes: #231612)

 -- Barak A. Pearlmutter <bap@debian.org>  Fri, 27 Feb 2004 00:06:27 +0000

djvulibre (3.5.12-3) unstable; urgency=low

  * add more options to any2djvu.sh script; fix man page

 -- Barak A. Pearlmutter <bap@debian.org>  Wed, 21 Jan 2004 08:09:04 -0700

djvulibre (3.5.12-2) unstable; urgency=low

  * update any2djvu.sh to work with new CGI script; add option processing

 -- Barak A. Pearlmutter <bap@debian.org>  Mon, 19 Jan 2004 17:04:53 -0700

djvulibre (3.5.12-1) unstable; urgency=low

  * New upstream version
  * Fix mozilla-firebird plugin symlink typo (closes: #217744)
  * Remove -Wl,-rpath,${libdir} from Makefiles.in instead of post-processing
    chrpath --delete bin/*, for political correctness (closes: #221780)

 -- Barak A. Pearlmutter <bap@debian.org>  Thu, 20 Nov 2003 08:14:59 -0700

djvulibre (3.5.11.2003.06.04-6) unstable; urgency=low

  * rev deb policy
  * add enhances: field, fiddle with recommends: field
  * fix secondary build dependency (closes: #206130)
  * make chrpath optional to avoid autobuild problem on the hurd

 -- Barak A. Pearlmutter <bap@debian.org>  Mon, 25 Aug 2003 20:10:22 +0100

djvulibre (3.5.11.2003.06.04-5) unstable; urgency=low

  * work around more ANSI C++ asymmetric horror

 -- Barak A. Pearlmutter <bap@debian.org>  Fri, 11 Jul 2003 20:40:50 +0100

djvulibre (3.5.11.2003.06.04-4) unstable; urgency=low

  * work around enforcement of C++ horribleness by GCC 3.3.1 (closes: #199766)

 -- Barak A. Pearlmutter <bap@debian.org>  Tue,  8 Jul 2003 07:57:23 -0600

djvulibre (3.5.11.2003.06.04-3) unstable; urgency=low

  * handle mozilla-firebird (closes: 197054) thanks Emil Soleyman-Zomalan

 -- Barak A. Pearlmutter <bap@debian.org>  Wed,  2 Jul 2003 21:08:14 +0100

djvulibre (3.5.11.2003.06.04-2) unstable; urgency=low

  * solve 64-bit compilation issue in the worst possible way (closes: #196720)

 -- Barak A. Pearlmutter <bap@debian.org>  Tue, 10 Jun 2003 22:51:21 +0100

djvulibre (3.5.11.2003.06.04-1) unstable; urgency=low

  * CVS snapshot, fixes GCC 3.3 issues (closes: #195341)

 -- Barak A. Pearlmutter <bap@debian.org>  Tue,  3 Jun 2003 19:39:56 -0600

djvulibre (3.5.11-1) unstable; urgency=low

  * New upstream version
  * upstream fixes djview menu in UTF-8 encoded directories (closes: #186167)
  * UTF8-endectomy for bin2cpp failure under GCC 3.2/3.3 (closes: #193507)
  * djview libs need GCC 3.2/3.3 recompile (closes: #193233)

 -- Barak A. Pearlmutter <bap@debian.org>  Thu, 29 May 2003 23:46:08 +0100

djvulibre (3.5.10-5) unstable; urgency=low

  * modify compiler options in package config scripts

 -- Barak A. Pearlmutter <bap@debian.org>  Sun,  9 Mar 2003 18:38:34 +0000

djvulibre (3.5.10-4) unstable; urgency=low

  * hotwire compilation options for GCC 3.2 in debian/rules (closes: #183561)
    DONT FORGET: remove when gcc bug is fixed.
    Un-hotwired default is "-O3 -funroll-loops", tested behavior of
    i386 gcc version 3.2.3 20030228 (Debian prerelease):
    flags                   djview lizard2002.djvu
    -O3 -funroll-loops      FAILS
    -O2 -funroll-loops      FAILS
    -O1 -funroll-loops      works
    -funroll-loops          works
    -O3                     works

 -- Barak A. Pearlmutter <bap@debian.org>  Sun,  9 Mar 2003 02:04:19 +0000

djvulibre (3.5.10-3) unstable; urgency=low

  * simplify qt version check !hic!

 -- Barak A. Pearlmutter <bap@debian.org>  Thu,  6 Mar 2003 00:19:49 +0000

djvulibre (3.5.10-2.1) unstable; urgency=low

  * remove workaround for old chrpath bug
  * trick for -lqt vs -lqt-mt !blech! (closes: #181588)

 -- Barak A. Pearlmutter <bap@debian.org>  Wed, 19 Feb 2003 12:16:56 -0700

djvulibre (3.5.10-2) unstable; urgency=low

  * use either /usr/include/qt3 or /usr/include/qt as available (closes: #181351)

 -- Barak A. Pearlmutter <bap@cs.unm.edu>  Mon, 17 Feb 2003 19:48:29 +0000

djvulibre (3.5.10-1) unstable; urgency=low

  * new upstream version
  * (closes: #180598) see below
  * upstream fixed menu key (closes: #173483)

 -- Barak Pearlmutter <bap@cs.unm.edu>  Wed, 12 Feb 2003 06:55:04 -0700

djvulibre (3.5.9-5) unstable; urgency=low

  * build-depend libqt3c102-mt for simplicity (closes: #180598)
  * stop generating unnecessary binary package libdjvulibre1-dev

 -- Barak Pearlmutter <bap@cs.unm.edu>  Wed, 12 Feb 2003 03:47:04 -0700

djvulibre (3.5.9-4) unstable; urgency=low

  * capitalize descriptions (closes: #164709)
  * add script any2djvu
  * mime entry remains (closes: #172465)
  * just a compiler bug maybe maybe I hope (closes: #159590)

 -- Barak Pearlmutter <bap@cs.unm.edu>  Mon,  3 Feb 2003 17:04:54 -0700

djvulibre (3.5.9-3) unstable; urgency=low

  * set up mime entry for djview
  * break out djvuserve cgi script into its own package
  * capitalize one-line descriptions (closes: #164709)

 -- Barak Pearlmutter <bap@cs.unm.edu>  Sun, 13 Oct 2002 12:51:01 -0600

djvulibre (3.5.9-2) unstable; urgency=low

  * Flush debian mods.  Leave Makefile.in -rpath, use chrpath --delete.
  * Break out djview binary into separate package.

 -- Barak Pearlmutter <bap@cs.unm.edu>  Tue,  8 Oct 2002 12:34:03 -0600

djvulibre (3.5.9-1) unstable; urgency=low

  * New upstream release, fixes ddjvu (closes: #163081) and MMX with GCC 3.2

 -- Barak Pearlmutter <bap@cs.unm.edu>  Tue,  8 Oct 2002 09:54:30 -0600

djvulibre (3.5.8-1) unstable; urgency=low

  * New upstream release (fixes for: print b&w docs, menu problem, gcc-3.1)

 -- Barak Pearlmutter <bap@cs.unm.edu>  Tue, 17 Sep 2002 12:12:10 -0600

djvulibre (3.5.7-2) unstable; urgency=low

  * bin package to section graphics and plugin to section web

 -- Barak Pearlmutter <bap@cs.unm.edu>  Mon, 29 Jul 2002 16:04:00 -0600

djvulibre (3.5.7-1) unstable; urgency=low

  * New upstream release, with copyright fix.  (closes: #94442)

 -- Barak Pearlmutter <bap@cs.unm.edu>  Mon, 22 Jul 2002 16:55:55 -0600

djvulibre (3.5.5-1) unstable; urgency=low

  * Initial Release.  (closes: #94442)

 -- Barak Pearlmutter <bap@cs.unm.edu>  Wed, 29 May 2002 15:43:15 -0600
